
  public partial class CheckBox : System.Web.UI.Page
  {
      protected void Page_Load(object sender, EventArgs e)
      {
  
      }
     
      protected void Button1_Click(object sender, EventArgs e)
      {
          string msg = "";
  
          if (CheckBox1.【Checked】)
              msg = msg + "游泳&nbsp;&nbsp;";
          if (CheckBox2.Checked)
              msg = msg + "跑步&nbsp;&nbsp;";
  
          if (CheckBox3.Checked)
              msg = msg + "打球&nbsp;&nbsp;";
          if (CheckBox4.Checked)
              msg = msg + "爬山&nbsp;&nbsp;";
          lblShow.【Text】 = "您的爱好是：<B>" + 【msg】 + "</B>";	
      }
  }
  
